curl -X GET "https://api.officiscan.com/v1/snapshots/compare?ean=3401351277399" \
-H "Authorization: Bearer oc_YOUR_API_KEY"
{
"ean": "3401351277399",
"product_name": "Puressentiel Circulation Gel Ultra Frais 125 ml",
"stats": {
"min_price": 12.50,
"max_price": 14.99,
"avg_price": 13.20,
"snapshot_count": 4
},
"data": [
{
"id": 5638,
"product_id": 29,
"collected_at": "2026-04-29T17:34:54",
"price": {
"current": 12.95,
"original": 14.50,
"range": null,
"currency": "EUR"
},
"stock": {
"available": true,
"label": "En stock"
},
"rating": {
"value": 4.6,
"count": 28
},
"rank": {
"position": 12,
"page": 1,
"page_size": 30
},
"promo": {
"text": "-10%",
"slug": "promo-printemps",
"type": "percentage",
"badge": "Promotion"
},
"network": "cocooncenter",
"source": "cocooncenter.com"
},
{
"id": 8821,
"product_id": 412,
"collected_at": "2026-04-29T11:18:09",
"price": {
"current": 13.50,
"original": null,
"range": null,
"currency": "EUR"
},
"stock": {
"available": true,
"label": "En stock"
},
"rating": {
"value": 4.4,
"count": 17
},
"rank": null,
"promo": null,
"network": "pharmabest",
"source": "pharma-best.fr"
}
]
}
Compare les données d’un produit sur toutes les sources
curl -X GET "https://api.officiscan.com/v1/snapshots/compare?ean=3401351277399" \
-H "Authorization: Bearer oc_YOUR_API_KEY"
{
"ean": "3401351277399",
"product_name": "Puressentiel Circulation Gel Ultra Frais 125 ml",
"stats": {
"min_price": 12.50,
"max_price": 14.99,
"avg_price": 13.20,
"snapshot_count": 4
},
"data": [
{
"id": 5638,
"product_id": 29,
"collected_at": "2026-04-29T17:34:54",
"price": {
"current": 12.95,
"original": 14.50,
"range": null,
"currency": "EUR"
},
"stock": {
"available": true,
"label": "En stock"
},
"rating": {
"value": 4.6,
"count": 28
},
"rank": {
"position": 12,
"page": 1,
"page_size": 30
},
"promo": {
"text": "-10%",
"slug": "promo-printemps",
"type": "percentage",
"badge": "Promotion"
},
"network": "cocooncenter",
"source": "cocooncenter.com"
},
{
"id": 8821,
"product_id": 412,
"collected_at": "2026-04-29T11:18:09",
"price": {
"current": 13.50,
"original": null,
"range": null,
"currency": "EUR"
},
"stock": {
"available": true,
"label": "En stock"
},
"rating": {
"value": 4.4,
"count": 17
},
"rank": null,
"promo": null,
"network": "pharmabest",
"source": "pharma-best.fr"
}
]
}
Documentation Index
Fetch the complete documentation index at: https://docs.officiscan.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.officiscan.com/v1/snapshots/compare?ean=3401351277399" \
-H "Authorization: Bearer oc_YOUR_API_KEY"
{
"ean": "3401351277399",
"product_name": "Puressentiel Circulation Gel Ultra Frais 125 ml",
"stats": {
"min_price": 12.50,
"max_price": 14.99,
"avg_price": 13.20,
"snapshot_count": 4
},
"data": [
{
"id": 5638,
"product_id": 29,
"collected_at": "2026-04-29T17:34:54",
"price": {
"current": 12.95,
"original": 14.50,
"range": null,
"currency": "EUR"
},
"stock": {
"available": true,
"label": "En stock"
},
"rating": {
"value": 4.6,
"count": 28
},
"rank": {
"position": 12,
"page": 1,
"page_size": 30
},
"promo": {
"text": "-10%",
"slug": "promo-printemps",
"type": "percentage",
"badge": "Promotion"
},
"network": "cocooncenter",
"source": "cocooncenter.com"
},
{
"id": 8821,
"product_id": 412,
"collected_at": "2026-04-29T11:18:09",
"price": {
"current": 13.50,
"original": null,
"range": null,
"currency": "EUR"
},
"stock": {
"available": true,
"label": "En stock"
},
"rating": {
"value": 4.4,
"count": 17
},
"rank": null,
"promo": null,
"network": "pharmabest",
"source": "pharma-best.fr"
}
]
}